import '../app/constant.dart';
import 'base_repository.dart';

class QueueRepository extends BaseRepository {
  QueueRepository({required super.dio});
  Future<Map<String, dynamic>> getData(
      {required service_id,
      required booth_id,
      required hostIp,
      required branchID}) async {
    // var url = "$hostIp/ticket/$service_id/$booth_id";
    var url = "$hostIp/one-api/antrian/ticket/getAntrian";
    // final resp = await get(
    //   service: url,
    // );
    final resp = await post(param: {
      "service_id": service_id,
      "booth_id": booth_id,
      "branch_id": branchID
    }, service: url);
    // print(resp);
    return resp;
  }
}
